;;;; -*- Mode: Lisp; -*-
;;;; *************************************************************************
;;;; Copyright (C) 2011 Roger Grantham
;;;; 
;;;; All rights reserved.
;;;; 
;;;; This file is part of Grammaticus.
;;;; 
;;;; Grammaticus is free software: you can redistribute it and/or modify
;;;; it under the terms of the GNU General Public License as published by 
;;;; the Free Software Foundation, either version 3 of the License, or    
;;;; (at your option) any later version.                                  
;;;; 
;;;; Grammaticus is distributed in the hope that it will be useful,
;;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;; GNU General Public License for more details.
;;;; 
;;;; You should have received a copy of the GNU General Public License
;;;; along with Grammaticus.  If not, see <http://www.gnu.org/licenses/>.
;;;; 
;;;; *************************************************************************
;;;;
;;;; Grammaticus Package Definitions
;;;;
;;;; $Id:$
;;;;
;;;; *************************************************************************

;;
;; GRAMAMTICUS
;;

(defpackage :grammaticus
  (:use :cl)
  
  (:export  
   ;; Exported symbols go here

   ))

(in-package :grammaticus)

;;
;; TOKENIZER 
;;

(defpackage :grammaticus-tokenizer
  (:use :cl)
  (:nicknames "TOKENIZER")
  (:export  
   :make-token-stream
   :read-token
   ))

;;
;; MORPHOLOGY
;;
(defpackage :grammaticus-morphology
  (:use :cl)
  (:nicknames "MORPHOLOGY")
  (:export  

   ))
